<form action="{$smarty.const.IA_URL}search/companies/" method="get" class="form-inline yellowpages-search-location">
	<label for="search_key">{lang key='what_to_search'}</label>
	<input type="text" name="search" id="search_key" value="{$yp_search_info.term}">
	<label for="search_loc">{lang key='where_to_search'}</label>
	<input type="text" name="loc" id="search_loc" autocomplete="off" value="{$yp_search_info.location}" data-location="{$yp_search_info.location}">
	<button type="submit" class="btn btn-primary" title="{lang key='search'}"><i class="icon-search"></i></button>
</form>

{ia_add_js}
$(function()
{
	$('#search_loc')
	.typeahead(
	{
		source: function(query, process)
		{
			listings = { };

			return $.ajax(
			{
				url: intelli.config.ia_url + 'search/companies/read.json',
				type: 'get',
				dataType: 'json',
				displayField: 'title',
				data: { action: 'autocomplete', q: query },
				success: function(data)
				{
					var display = [];

					$.each(data, function (i, listing)
					{
						listings[listing.title] = listing;
						display.push(listing.title);
					});

					return process(display);
				}
			});
		}
	})
	.on('blur', function(e)
	{
		var $this = $(this);
		$this.val() || $this.val($this.data('location'));
	});
});
{/ia_add_js}